> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# List account invoices

GET https://api.getpostman.com/accounts/{accountId}/invoices

Gets all invoices for a Postman billing account filtered by the status of the invoice.

Reference: https://learning.postman.com/api-docs/api-reference/billing/get-account-invoices

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /accounts/{accountId}/invoices:
    get:
      operationId: getAccountInvoices
      summary: List account invoices
      description: >-
        Gets all invoices for a Postman billing account filtered by the status
        of the invoice.
      tags:
        - billing
      parameters:
        - name: accountId
          in: path
          description: The account's ID.
          required: true
          schema:
            $ref: '#/components/schemas/billingAccountId'
        - name: status
          in: query
          description: The account's status.
          required: true
          schema:
            $ref: '#/components/schemas/billingAccountStatus'
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getAccountInvoices'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetAccountInvoicesRequestUnauthorizedError
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetAccountInvoicesRequestInternalServerError
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    billingAccountId:
      type: string
      title: billingAccountId
    billingAccountStatus:
      type: string
      enum:
        - PAID
      title: billingAccountStatus
    invoicesTotal:
      type: object
      properties:
        value:
          type: integer
          description: The amount billed.
        currency:
          type: string
          description: >-
            The currency of the billed amount. Currently only supports the `USD`
            value.
      description: Information about the invoice's total billed amount.
      title: invoicesTotal
    InvoicesLinksWeb:
      type: object
      properties:
        href:
          type: string
          format: url
          description: A URL where you can download the invoice in PDF and view details.
      description: An object containing web-based account references.
      title: InvoicesLinksWeb
    invoicesLinks:
      type: object
      properties:
        web:
          $ref: '#/components/schemas/InvoicesLinksWeb'
          description: An object containing web-based account references.
      description: >-
        A [JSON API spec](https://jsonapi.org/format/#document-links) object
        containing hypermedia links.
      title: invoicesLinks
    invoiceData:
      type: object
      properties:
        id:
          type: string
          description: The invoice's ID.
        status:
          type: string
          description: The invoice's status.
        issuedAt:
          type: string
          format: date
          description: The date on which the invoice was issued.
        totalAmount:
          $ref: '#/components/schemas/invoicesTotal'
        links:
          $ref: '#/components/schemas/invoicesLinks'
      description: Information about the invoice.
      title: invoiceData
    getAccountInvoices:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/invoiceData'
          description: A list of account invoices.
      required:
        - data
      title: getAccountInvoices
    CommonErrorTypeTitleDetailStatusType:
      oneOf:
        - type: string
          format: uri-reference
        - type: string
      title: CommonErrorTypeTitleDetailStatusType
    commonErrorTypeTitleDetailStatus:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailStatusType'
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Information about the error.
        status:
          type: integer
          description: The error's HTTP status code.
      title: commonErrorTypeTitleDetailStatus
    CommonErrorNameMessageError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: CommonErrorNameMessageError
    commonErrorNameMessage:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CommonErrorNameMessageError'
          description: Information about the error.
      title: commonErrorNameMessage
    GetAccountInvoicesRequestUnauthorizedError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetAccountInvoicesRequestUnauthorizedError
    CommonErrorTypeTitleDetailDetail:
      oneOf:
        - type: string
        - type: object
          additionalProperties:
            description: Any type
      description: Information about the error.
      title: CommonErrorTypeTitleDetailDetail
    commonErrorTypeTitleDetail:
      type: object
      properties:
        type:
          type: string
          description: The type of error.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailDetail'
          description: Information about the error.
      title: commonErrorTypeTitleDetail
    GetAccountInvoicesRequestInternalServerError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetail'
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetAccountInvoicesRequestInternalServerError
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples



**Response**

```json
{
  "data": [
    {
      "id": "inv_7UDSYBJPGQU93N7M",
      "status": "PAID",
      "issuedAt": "2023-10-12",
      "totalAmount": {
        "value": 440,
        "currency": "USD"
      },
      "links": {
        "web": {
          "href": "https://pay.postman.com/invoices/pay?invoice_public_id=inv_7UDSYBJPGQU93N7M"
        }
      }
    }
  ]
}
```

**SDK Code**

```python Successful Response
import requests

url = "https://api.getpostman.com/accounts/123456/invoices"

querystring = {"status":"PAID"}

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Successful Response
const url = 'https://api.getpostman.com/accounts/123456/invoices?status=PAID';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/accounts/123456/invoices?status=PAID"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful Response
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/accounts/123456/invoices?status=PAID")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Successful Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/accounts/123456/invoices?status=PAID")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Successful Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/accounts/123456/invoices?status=PAID', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Successful Response
using RestSharp;

var client = new RestClient("https://api.getpostman.com/accounts/123456/invoices?status=PAID");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Successful Response
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/accounts/123456/invoices?status=PAID")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```